dunnettTest {PMCMRplus} | R Documentation

## Dunnett's Many-to-One Comparisons Test

### Description

Performs Dunnett's multiple comparisons test with one control.

### Usage

    dunnettTest(x, ...)

    ## Default S3 method:
    dunnettTest(x, g, alternative = c("two.sided", "greater", "less"), ...)

    ## S3 method for class 'formula'
    dunnettTest(
      formula,
      data,
      subset,
      na.action,
      alternative = c("two.sided", "greater", "less"),
      ...
    )

    ## S3 method for class 'aov'
    dunnettTest(x, alternative = c("two.sided", "greater", "less"), ...)

### Arguments

`x` | a numeric vector of data values, a list of numeric data vectors or a fitted model object, usually an aov fit.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `two.sided`.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For many-to-one comparisons in an one-factorial layout with normally distributed residuals Dunnett's test can be used. A total of m = k-1 hypotheses can be tested. The null hypothesis H_{i}: μ_0(x) = μ_i(x) is tested in the two-tailed test against the alternative A_{i}: μ_0(x) \ne μ_i(x), ~~ 1 ≤ i ≤ k-1.

The p-values for the test are calculated from the multivariate t distribution as implemented in the function `pmvt`.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Dunnett, C. W. (1955) A multiple comparison procedure for comparing several treatments with a control. Journal of the American Statistical Association 50, 1096–1121.

OECD (ed. 2006) Current approaches in the statistical analysis of ecotoxicity data: A guidance to application - Annexes. OECD Series on testing and assessment, No. 54.

### See Also

`pmvt`

### Examples

    set.seed(245)
    mn <- c(1, 2, 2^2, 2^3, 2^4)
    x <- rep(mn, each=5) + rnorm(25)
    g <- factor(rep(1:5, each=5))

    fit <- aov(x ~ g - 1)
    shapiro.test(residuals(fit))
    bartlett.test(x ~ g - 1)
    anova(fit)
    ## works with fitted object of class aov
    summary(dunnettTest(fit, alternative = "greater"))

[Package PMCMRplus version 1.6.1 Index]